For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add an address

Adding a new address to the address book

Add an address

post
Header parameters
x-api-public-keystringOptional

Public API-key

x-api-signaturestringOptional

Signing the request body with a private API-key

Content-typestringOptional

Request content type

Example: application/json
Body
addressstringOptional

The address in the blockchain

Example: 0xe2d3A739EFFCd3A99387d015E260eEFAc72EBea2
networksstring[]Optional

List of address networks

Example: ethereum
aliasstringOptional

Address name

commentstringOptional

Comment on the address

Responses
200Success
application/json

Successful response

successbooleanRequired

Request success indicator

post/api-gateway/address-book/add
POST /api-gateway/address-book/add HTTP/1.1
Host: app.apollopayment.io
Content-Type: application/json
Accept: */*
Content-Length: 104

{
  "address": "0xe2d3A739EFFCd3A99387d015E260eEFAc72EBea2",
  "networks": [
    "ethereum"
  ],
  "alias": "",
  "comment": ""
}
200Success
{
  "success": true,
  "response": {
    "id": "19ea199f-c255-4d89-9408-cc962b7729b5",
    "networks": [
      "ethereum"
    ],
    "address": "0xe2d3A739EFFCd3A99387d015E260eEFAc72EBea2",
    "alias": "",
    "comment": ""
  }
}

Last updated